Bug 260649 - Digikam crashed rotate photo
Summary: Digikam crashed rotate photo
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Runtime (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-18 18:25 UTC by takpeh
Modified: 2017-08-19 09:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description takpeh 2010-12-18 18:25:23 UTC
Application: digikam (1.5.0)
KDE Platform Version: 4.4.4 (KDE 4.4.4) "release 3"
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.5-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
I try to rotate the photo and the application itself crashed.
The same picture, try girarla with Gwenview. The photo tour, but is not saved.

The crash can be reproduced every time.

 -- Backtrace:
Application: DigiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb2087960 (LWP 28187))]

Thread 13 (Thread 0xb06f0b70 (LWP 28188)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4644125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b4124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4de48d0 in wait (this=0x85f5178, mutex=0x85f5174, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x85f5178, mutex=0x85f5174, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0830631a in ?? ()
#6  0xb4de37cf in QThreadPrivate::start (arg=0x85e2588) at thread/qthread_unix.cpp:248
#7  0xb463fb25 in start_thread () from /lib/libpthread.so.0
#8  0xb4b3346e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xafeefb70 (LWP 28191)):
#0  0xb2c7922b in clock_gettime () from /lib/librt.so.1
#1  0xb4f121cc in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb4f17616 in QTimerInfoList::updateCurrentTime (this=0xaf5194ac) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb4f1765e in QTimerInfoList::timerWait (this=0xaf5194ac, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb4f155cb in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xafeef12c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb4f1566d in timerSourcePrepare (source=0x0, timeout=0xb2c7dff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb2e350c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0xb2e35f22 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2e3660e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#9  0xb4f153cf in QEventDispatcherGlib::processEvents (this=0x86695a8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb4ee6d8d in QEventLoop::processEvents (this=0xafeef2c0, flags=) at kernel/qeventloop.cpp:149
#11 0xb4ee71d9 in QEventLoop::exec (this=0xafeef2c0, flags=...) at kernel/qeventloop.cpp:201
#12 0xb4de08e3 in QThread::exec (this=0x868dff0) at thread/qthread.cpp:487
#13 0xb678e04b in ?? () from /usr/lib/libdigikamdatabase.so.1
#14 0xb4de37cf in QThreadPrivate::start (arg=0x868dff0) at thread/qthread_unix.cpp:248
#15 0xb463fb25 in start_thread () from /lib/libpthread.so.0
#16 0xb4b3346e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xaf4ffb70 (LWP 28192)):
#0  0xb2c7922b in clock_gettime () from /lib/librt.so.1
#1  0xb4f121cc in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb4f17616 in QTimerInfoList::updateCurrentTime (this=0x8676644) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb4f1765e in QTimerInfoList::timerWait (this=0x8676644, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb4f155cb in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaf4ff12c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb4f1566d in timerSourcePrepare (source=0x0, timeout=0xb2c7dff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb2e350c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0xb2e35f22 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2e3660e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#9  0xb4f153cf in QEventDispatcherGlib::processEvents (this=0x8669650, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb4ee6d8d in QEventLoop::processEvents (this=0xaf4ff2c0, flags=) at kernel/qeventloop.cpp:149
#11 0xb4ee71d9 in QEventLoop::exec (this=0xaf4ff2c0, flags=...) at kernel/qeventloop.cpp:201
#12 0xb4de08e3 in QThread::exec (this=0x860d4e8) at thread/qthread.cpp:487
#13 0xb678e04b in ?? () from /usr/lib/libdigikamdatabase.so.1
#14 0xb4de37cf in QThreadPrivate::start (arg=0x860d4e8) at thread/qthread_unix.cpp:248
#15 0xb463fb25 in start_thread () from /lib/libpthread.so.0
#16 0xb4b3346e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xadeffb70 (LWP 28193)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4644125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b4124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4de48d0 in wait (this=0x866d040, mutex=0x866d03c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x866d040, mutex=0x866d03c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb6a97e8b in ?? () from /usr/lib/libdigikamcore.so.1
#6  0xb4de37cf in QThreadPrivate::start (arg=0x866d030) at thread/qthread_unix.cpp:248
#7  0xb463fb25 in start_thread () from /lib/libpthread.so.0
#8  0xb4b3346e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xad6feb70 (LWP 28194)):
#0  0xb4f157b2 in socketNotifierSourceCheck (source=0x8642f20) at kernel/qeventdispatcher_glib.cpp:79
#1  0xb2e357d0 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0xb2e36108 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb2e3660e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb4f153cf in QEventDispatcherGlib::processEvents (this=0x866d010, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#5  0xb4ee6d8d in QEventLoop::processEvents (this=0xad6fe2e0, flags=) at kernel/qeventloop.cpp:149
#6  0xb4ee71d9 in QEventLoop::exec (this=0xad6fe2e0, flags=...) at kernel/qeventloop.cpp:201
#7  0xb4de08e3 in QThread::exec (this=0xadf10ff0) at thread/qthread.cpp:487
#8  0xb4de37cf in QThreadPrivate::start (arg=0xadf10ff0) at thread/qthread_unix.cpp:248
#9  0xb463fb25 in start_thread () from /lib/libpthread.so.0
#10 0xb4b3346e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xacefdb70 (LWP 28195)):
#0  0xb2c7922b in clock_gettime () from /lib/librt.so.1
#1  0xb4f121cc in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0xb4f17616 in QTimerInfoList::updateCurrentTime (this=0xadf12434) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb4f1765e in QTimerInfoList::timerWait (this=0xadf12434, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb4f155cb in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xacefd14c) at kernel/qeventdispatcher_glib.cpp:136
#5  0xb4f1566d in timerSourcePrepare (source=0x0, timeout=0xb2c7dff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0xb2e350c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#7  0xb2e35f22 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb2e3660e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#9  0xb4f153cf in QEventDispatcherGlib::processEvents (this=0x85f1278, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0xb4ee6d8d in QEventLoop::processEvents (this=0xacefd2e0, flags=) at kernel/qeventloop.cpp:149
#11 0xb4ee71d9 in QEventLoop::exec (this=0xacefd2e0, flags=...) at kernel/qeventloop.cpp:201
#12 0xb4de08e3 in QThread::exec (this=0xadf0e8a8) at thread/qthread.cpp:487
#13 0xb4de37cf in QThreadPrivate::start (arg=0xadf0e8a8) at thread/qthread_unix.cpp:248
#14 0xb463fb25 in start_thread () from /lib/libpthread.so.0
#15 0xb4b3346e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa9e42b70 (LWP 28198)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4644452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b412a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaaff21d7 in metronom_sync_loop () from /usr/lib/libxine.so.1
#4  0xb463fb25 in start_thread () from /lib/libpthread.so.0
#5  0xb4b3346e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa920fb70 (LWP 28199)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4644452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b412a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xab000c41 in video_out_loop () from /usr/lib/libxine.so.1
#4  0xb463fb25 in start_thread () from /lib/libpthread.so.0
#5  0xb4b3346e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa8a0eb70 (LWP 28200)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4b2875e in poll () from /lib/libc.so.6
#2  0xb2e461db in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb2e36286 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2e3660e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb4f153cf in QEventDispatcherGlib::processEvents (this=0x8a81010, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0xb4ee6d8d in QEventLoop::processEvents (this=0xa8a0e280, flags=) at kernel/qeventloop.cpp:149
#7  0xb4ee71d9 in QEventLoop::exec (this=0xa8a0e280, flags=...) at kernel/qeventloop.cpp:201
#8  0xb4de08e3 in QThread::exec (this=0x8a0ad58) at thread/qthread.cpp:487
#9  0xaec3ac38 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#10 0xb4de37cf in QThreadPrivate::start (arg=0x8a0ad58) at thread/qthread_unix.cpp:248
#11 0xb463fb25 in start_thread () from /lib/libpthread.so.0
#12 0xb4b3346e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa820db70 (LWP 28204)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4b2875e in poll () from /lib/libc.so.6
#2  0xa963c04c in ao_alsa_handle_event_thread () from /usr/lib/xine/plugins/1.29/xineplug_ao_out_alsa.so
#3  0xb463fb25 in start_thread () from /lib/libpthread.so.0
#4  0xb4b3346e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa7a0cb70 (LWP 28205)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4644125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4b4124c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xab005180 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb463fb25 in start_thread () from /lib/libpthread.so.0
#5  0xb4b3346e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa6133b70 (LWP 28250)):
[KCrash Handler]
#6  0xe8240489 in ?? ()
#7  0xb4920815 in jpeg_destroy () from /usr/lib/libjpeg.so.62
#8  0xb49088cb in jpeg_destroy_compress () from /usr/lib/libjpeg.so.62
#9  0xa1f671d4 in KIPIJPEGLossLessPlugin::transformJPEG (src=<value optimized out>, destGiven=..., flip=KIPIJPEGLossLessPlugin::JXFORM_NONE, rotate=KIPIJPEGLossLessPlugin::JXFORM_ROT_270, err=...)
    at /usr/src/debug/kipi-plugins-1.5.0/jpeglossless/jpegtransform.cpp:250
#10 0xa1f68598 in KIPIJPEGLossLessPlugin::transformJPEG (src=..., dest=..., userAction=..., err=..., updateFileTimeStamp=false) at /usr/src/debug/kipi-plugins-1.5.0/jpeglossless/jpegtransform.cpp:154
#11 0xa1f6b270 in KIPIJPEGLossLessPlugin::ImageRotate::rotateJPEG (this=0xa61332b4, src=..., dest=..., angle=KIPIJPEGLossLessPlugin::Rot270, err=..., updateFileTimeStamp=false)
    at /usr/src/debug/kipi-plugins-1.5.0/jpeglossless/imagerotate.cpp:170
#12 0xa1f6bf13 in KIPIJPEGLossLessPlugin::ImageRotate::rotate (this=0xa61332b4, src=..., angle=KIPIJPEGLossLessPlugin::Rot270, err=..., updateFileTimeStamp=false)
    at /usr/src/debug/kipi-plugins-1.5.0/jpeglossless/imagerotate.cpp:106
#13 0xa1f6f1d2 in KIPIJPEGLossLessPlugin::ActionThread::run (this=0x9176c18) at /usr/src/debug/kipi-plugins-1.5.0/jpeglossless/actionthread.cpp:205
#14 0xb4de37cf in QThreadPrivate::start (arg=0x9176c18) at thread/qthread_unix.cpp:248
#15 0xb463fb25 in start_thread () from /lib/libpthread.so.0
#16 0xb4b3346e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb2087960 (LWP 28187)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4b2875e in poll () from /lib/libc.so.6
#2  0xb2b93470 in ?? () from /usr/lib/libxcb.so.1
#3  0xb2b93a82 in ?? () from /usr/lib/libxcb.so.1
#4  0xb2b93b31 in xcb_writev () from /usr/lib/libxcb.so.1
#5  0xb47da490 in _XSend () from /usr/lib/libX11.so.6
#6  0xb2f1efcb in XRenderCompositeText32 () from /usr/lib/libXrender.so.1
#7  0xb55f72dc in QX11PaintEngine::drawFreetype (this=0xbf9e1b04, p=..., ti=...) at painting/qpaintengine_x11.cpp:2443
#8  0xb554757f in QPainter::drawTextItem (this=0xbf9e629c, p=..., _ti=...) at painting/qpainter.cpp:6258
#9  0xb5662f09 in drawMenuText (this=0xbf9e5cf4, p=0xbf9e629c, pos=..., selection=0x0) at text/qtextlayout.cpp:2063
#10 QTextLine::draw (this=0xbf9e5cf4, p=0xbf9e629c, pos=..., selection=0x0) at text/qtextlayout.cpp:2248
#11 0xb553e1df in qt_format_text (fnt=..., _r=..., tf=-1080140548, option=0x0, str=..., brect=0x0, tabstops=0, tabarraylen=0, painter=0xbf9e629c) at painting/qpainter.cpp:7815
#12 0xb553f29f in QPainter::drawText (this=0xbf9e629c, r=..., flags=132, str=..., br=0x0) at painting/qpainter.cpp:5807
#13 0xb6ac8f98 in Digikam::ItemViewImageDelegate::drawCreationDate(QPainter*, QRect const&, QDateTime const&) const () from /usr/lib/libdigikamcore.so.1
#14 0x082d983f in ?? ()
#15 0xb6ad1e89 in KCategorizedView::paintEvent(QPaintEvent*) () from /usr/lib/libdigikamcore.so.1
#16 0x082d548e in ?? ()
#17 0xb54225cf in QWidget::event (this=0x868dac0, event=0xbf9e6bd4) at kernel/qwidget.cpp:8190
#18 0xb58300e5 in QFrame::event (this=0x868dac0, e=0xbf9e6bd4) at widgets/qframe.cpp:557
#19 0xb58cd041 in QAbstractScrollArea::viewportEvent (this=0x1, e=0xffffffff) at widgets/qabstractscrollarea.cpp:1036
#20 0xb5986d8c in QAbstractItemView::viewportEvent (this=0x868dac0, event=0xbf9e6bd4) at itemviews/qabstractitemview.cpp:1615
#21 0xb6aa89d5 in Digikam::DCategorizedView::viewportEvent(QEvent*) () from /usr/lib/libdigikamcore.so.1
#22 0xb58cf936 in viewportEvent (this=0x8691e88, o=0x851e8a8, e=0xbf9e6bd4) at widgets/qabstractscrollarea_p.h:100
#23 QAbstractScrollAreaFilter::eventFilter (this=0x8691e88, o=0x851e8a8, e=0xbf9e6bd4) at widgets/qabstractscrollarea_p.h:116
#24 0xb4ee79ee in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x84c21e8, receiver=0x851e8a8, event=0xbf9e6bd4) at kernel/qcoreapplication.cpp:841
#25 0xb53c1e0d in QApplicationPrivate::notify_helper (this=0x84c21e8, receiver=0x851e8a8, e=0xbf9e6bd4) at kernel/qapplication.cpp:4298
#26 0xb53c8d08 in QApplication::notify (this=0x851e8a8, receiver=0x851e8a8, e=0xbf9e6bd4) at kernel/qapplication.cpp:4267
#27 0xb5ea7d21 in KApplication::notify (this=0xbf9e8bbc, receiver=0x851e8a8, event=0xbf9e6bd4) at /usr/src/debug/kdelibs-4.4.4/kdeui/kernel/kapplication.cpp:302
#28 0xb4ee871e in QCoreApplication::notifyInternal (this=0xbf9e8bbc, receiver=0x851e8a8, event=0xbf9e6bd4) at kernel/qcoreapplication.cpp:726
#29 0xb542b98c in sendSpontaneousEvent (this=0x867d178, pdev=0x8660edc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988) at ../../src/corelib/kernel/qcoreapplication.h:218
#30 QWidgetPrivate::drawWidget (this=0x867d178, pdev=0x8660edc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988) at kernel/qwidget.cpp:5363
#31 0xb542c729 in QWidgetPrivate::paintSiblingsRecursive (this=0x1, pdev=0x8660edc, siblings=..., index=0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988)
    at kernel/qwidget.cpp:5476
#32 0xb542c567 in QWidgetPrivate::paintSiblingsRecursive (this=0x1, pdev=0x8660edc, siblings=..., index=13, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988)
    at kernel/qwidget.cpp:5463
#33 0xb542b6d8 in QWidgetPrivate::drawWidget (this=0x87058c0, pdev=0x8660edc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988) at kernel/qwidget.cpp:5412
#34 0xb542c729 in QWidgetPrivate::paintSiblingsRecursive (this=0x1, pdev=0x8660edc, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988)
    at kernel/qwidget.cpp:5476
#35 0xb542b6d8 in QWidgetPrivate::drawWidget (this=0x86843d8, pdev=0x8660edc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988) at kernel/qwidget.cpp:5412
#36 0xb542c729 in QWidgetPrivate::paintSiblingsRecursive (this=0x1, pdev=0x8660edc, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988)
    at kernel/qwidget.cpp:5476
#37 0xb542b6d8 in QWidgetPrivate::drawWidget (this=0x863e900, pdev=0x8660edc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988) at kernel/qwidget.cpp:5412
#38 0xb542c729 in QWidgetPrivate::paintSiblingsRecursive (this=0x1, pdev=0x8660edc, siblings=..., index=0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988)
    at kernel/qwidget.cpp:5476
#39 0xb542b6d8 in QWidgetPrivate::drawWidget (this=0x8678438, pdev=0x8660edc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988) at kernel/qwidget.cpp:5412
#40 0xb542c729 in QWidgetPrivate::paintSiblingsRecursive (this=0x1, pdev=0x8660edc, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988)
    at kernel/qwidget.cpp:5476
#41 0xb542b6d8 in QWidgetPrivate::drawWidget (this=0x8681e18, pdev=0x8660edc, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988) at kernel/qwidget.cpp:5412
#42 0xb542c729 in QWidgetPrivate::paintSiblingsRecursive (this=0x1, pdev=0x8660edc, siblings=..., index=10, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8696988)
    at kernel/qwidget.cpp:5476
#43 0xb542b6d8 in QWidgetPrivate::drawWidget (this=0x868fd38, pdev=0x8660edc, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x8696988) at kernel/qwidget.cpp:5412
#44 0xb560e218 in QWidgetBackingStore::sync (this=0x8696988) at painting/qbackingstore.cpp:1300
#45 0xb541bd2b in QWidgetPrivate::syncBackingStore (this=0x868fd38) at kernel/qwidget.cpp:1688
#46 0xb5422da4 in QWidget::event (this=0x8692dd0, event=0xae47ce8) at kernel/qwidget.cpp:8337
#47 0xb584f484 in QMainWindow::event (this=0x8692dd0, event=0xae47ce8) at widgets/qmainwindow.cpp:1414
#48 0xb5f62834 in KMainWindow::event (this=0x8692dd0, ev=0xae47ce8) at /usr/src/debug/kdelibs-4.4.4/kdeui/widgets/kmainwindow.cpp:1103
#49 0xb5f855a2 in KXmlGuiWindow::event (this=0x8692dd0, ev=0xae47ce8) at /usr/src/debug/kdelibs-4.4.4/kdeui/xmlgui/kxmlguiwindow.cpp:131
#50 0xb53c1e3c in QApplicationPrivate::notify_helper (this=0x84c21e8, receiver=0x8692dd0, e=0xae47ce8) at kernel/qapplication.cpp:4302
#51 0xb53c8d08 in QApplication::notify (this=0x8692dd0, receiver=0x8692dd0, e=0xae47ce8) at kernel/qapplication.cpp:4267
#52 0xb5ea7d21 in KApplication::notify (this=0xbf9e8bbc, receiver=0x8692dd0, event=0xae47ce8) at /usr/src/debug/kdelibs-4.4.4/kdeui/kernel/kapplication.cpp:302
#53 0xb4ee871e in QCoreApplication::notifyInternal (this=0xbf9e8bbc, receiver=0x8692dd0, event=0xae47ce8) at kernel/qcoreapplication.cpp:726
#54 0xb4eec227 in sendEvent (receiver=0x0, event_type=0, data=0x8493028) at kernel/qcoreapplication.h:215
#55 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8493028) at kernel/qcoreapplication.cpp:1367
#56 0xb4eec3ac in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1260
#57 0xb4f1589d in sendPostedEvents (s=0x84c3da8) at kernel/qcoreapplication.h:220
#58 postEventSourceDispatch (s=0x84c3da8) at kernel/qeventdispatcher_glib.cpp:276
#59 0xb2e35b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#60 0xb2e36350 in ?? () from /usr/lib/libglib-2.0.so.0
#61 0xb2e3660e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#62 0xb4f15381 in QEventDispatcherGlib::processEvents (this=0x8496a38, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#63 0xb5482c3a in QGuiEventDispatcherGlib::processEvents (this=0x8496a38, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#64 0xb4ee6d8d in QEventLoop::processEvents (this=0xbf9e8a94, flags=) at kernel/qeventloop.cpp:149
#65 0xb4ee71d9 in QEventLoop::exec (this=0xbf9e8a94, flags=...) at kernel/qeventloop.cpp:201
#66 0xb4eec480 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#67 0xb53c1ee4 in QApplication::exec () at kernel/qapplication.cpp:3581
#68 0x0837886b in ?? ()
#69 0xb4a76c0e in __libc_start_main () from /lib/libc.so.6
#70 0x080aaad1 in _start ()

Possible duplicates by query: bug 200159.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-12-18 18:42:34 UTC
crash appears in your libjpeg...

Gilles Caulier
Comment 2 caulier.gilles 2011-11-03 12:44:20 UTC
kipi-plugins 2.2.0 is out since few weeks. Crash still valid with this version ?

Gilles Caulier
Comment 3 takpeh 2011-11-07 12:37:56 UTC
The error is solved with the new version. Thank you!

(In reply to comment #2)
> kipi-plugins 2.2.0 is out since few weeks. Crash still valid with this version
> ?
> 
> Gilles Caulier